﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MetaSharp.Transformation.Lang.Ast;

namespace StateMachineCompiler
{
	public class Transition
	{
		private readonly State source, target;
		private readonly Event trigger;

		public Transition(State source, Event trigger, State target)
		{
			this.source = source;
			this.trigger = trigger;
			this.target = target;
		}

		public State Source { get { return this.source; } }
		public State Target { get { return this.target; } }
		public Event Trigger { get { return this.trigger; } }
		public string Code { get { return this.trigger.Code; } }
	}
}
