﻿namespace MetaSharp.Build
{
	using System;
	using System.Runtime.Serialization;

	[DataContract (Namespace=GeneratedFileManager.DataContractNamespace)]
	internal class GeneratedFile
	{
		[DataMember]
		public string SourceFilename
		{
			get;
			set;
		}

		[DataMember]
		public DateTime SourceLastModificationDate
		{
			get;
			set;
		}

		[DataMember]
		public string TargetFilename
		{
			get;
			set;
		}

		[DataMember]
		public DateTime TargetCreationDate
		{
			get;
			set;
		}

		[DataMember]
		public OutputType Type
		{
			get;
			set;
		}

		public GeneratedFile()
		{
		}
	}
}
