﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MetaSharp.Integration.VisualStudio.Grammar;
using System.CodeDom;
using MetaSharp.Transformation;
using MetaSharp.Build.Grammar;

namespace MetaSharp.Integration.VisualStudio.Models
{
	public abstract class HostAction : ObservableObject
	{
		public abstract void Execute();
	}

	public class ErrorAction : HostAction
	{
		IErrorProvider errorProvider;
		public ErrorAction(IErrorProvider errorProvider)
		{
			this.errorProvider = errorProvider;
		}

		public override void Execute()
		{
			this.errorProvider.ShowErrors();
		}
	}
}
