﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using MetaSharp.Transformation;
using MetaSharp.Integration.VisualStudio.Models;

namespace MetaSharp.Integration.VisualStudio.Views
{
	/// <summary>
	/// Interaction logic for GrammarHostControl.xaml
	/// </summary>
	public partial class GrammarHostView : UserControl
	{
		public GrammarHostView()
		{
			InitializeComponent();
		}

		public void InsertNewEditor(object editor)
		{
			EditorHost.Content = editor;
		}

		public GrammarHost Host
		{
			get { return (GrammarHost)this.DataContext; }
			set { this.DataContext = value; }
		}

		private void Action_Click(object sender, RoutedEventArgs e)
		{
			var element = (FrameworkElement)e.OriginalSource;
			var action = (HostAction)element.DataContext;
			action.Execute();
		}
	}
}
