﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using MetaSharp.Transformation;
using System.CodeDom;
using MetaSharp.Integration.VisualStudio.Models;

namespace MetaSharp.Integration.VisualStudio.Views
{
	public class NodeConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			var node = (INode)value;
			var codeObject = node as CodeObject;
			if (codeObject != null)
				return codeObject.Print();

			return GraphPrinter.Print(node);
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
