﻿using System.CodeDom;
using System.Collections.Generic;
using System.Linq;
using MetaSharp.Transformation.Lang.Ast;

namespace MetaSharp.Transformation.Grammar.Ast
{
	public class GrammarDeclaration : TypeDeclaration, INode
	{
		public GrammarDeclaration(string name = null)
			: base(name)
		{
			this.Rules = Enumerable.Empty<RuleDeclaration>();
			this.Attributes = MemberAttributes.Public;
			this.IsClass = true;
			this.IsPartial = true;
		}

		public IEnumerable<RuleDeclaration> Rules { get; set; }
	}
}
