﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MetaSharp.Transformation.Lang.Ast;

namespace MetaSharp.Transformation.Grammar.Ast
{
	public sealed class ObjectPattern : PatternDeclaration
	{
		public ObjectPattern()
		{
			this.Type = new TypeReference(typeof(object));
			this.Properties = Enumerable.Empty<PropertyPattern>();
		}

		public TypeReference Type { get; set; }
		public IEnumerable<PropertyPattern> Properties { get; set; }
	}
}
