﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MetaSharp.Transformation
{
	public interface IIncrementService
	{
		int Next();
	}

	public sealed class IncrementService : IIncrementService
	{
		private int current = -1;

		public int Next()
		{
			return System.Threading.Interlocked.Increment(ref this.current);
		}
	}
}
