﻿namespace MetaSharp.Transformation:
	import System;
	import System.Collections.Generic;
	import System.Linq;
	import System.Text;
	import MetaSharp.Transformation.Lang;

	grammar Interleaver < Tokenizer:
		
		Main = token:(WhitespaceInterleave | LineCommentInterleave | InlineCommentInterleave | any)* -> {
			Nodes tokens = new Nodes();
			for(INode t in token as Nodes):
				if(Node.Unwrap(t) != null): tokens.Add(t); end
			end
			return tokens;
		}

		WhitespaceInterleave = [WhitespaceToken] -> null;
		[Comment]LineCommentInterleave = [LineCommentToken] -> null;
		[Comment]InlineCommentInterleave = [InlineCommentToken] -> null;
	end
end
