﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.CodeDom;

namespace MetaSharp.Transformation.Lang.Ast
{
	public class ArrayCreateExpression : CodeArrayCreateExpression, INode
	{
		public ArrayCreateExpression()
			: base()
		{ }

		public ArrayCreateExpression(CodeTypeReference createType, CodeExpression size)
			: base(createType, size)
		{ }

		public ArrayCreateExpression(CodeTypeReference createType, int size)
			: base(createType, size)
		{ }

		public ArrayCreateExpression(CodeTypeReference createType, params CodeExpression[] initializers)
			: base(createType, initializers)
		{ }

		public ArrayCreateExpression(string createType, CodeExpression size)
			: base(createType, size)
		{ }

		public ArrayCreateExpression(string createType, int size)
			: base(createType, size)
		{ }

		public ArrayCreateExpression(string createType, params CodeExpression[] initializers)
			: base(createType, initializers)
		{ }

		public ArrayCreateExpression(Type createType, CodeExpression size)
			: base(createType, size)
		{ }

		public ArrayCreateExpression(Type createType, int size)
			: base(createType, size)
		{ }

		public ArrayCreateExpression(Type createType, params CodeExpression[] initializers)
			: base(createType, initializers)
		{ }
	}
}
