﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.CodeDom;

namespace MetaSharp.Transformation.Lang.Ast
{
	public class AttributeDeclaration : CodeAttributeDeclaration, INode
	{
		public AttributeDeclaration()
			: base()
		{ }

		public AttributeDeclaration(TypeReference attributeType)
			: base(attributeType)
		{ }

		public AttributeDeclaration(string name)
			: base(name)
		{ }

		public AttributeDeclaration(TypeReference attributeType, params AttributeArgument[] arguments)
			: base(attributeType, arguments)
		{ }

		public AttributeDeclaration(string name, params AttributeArgument[] arguments)
			: base(name, arguments)
		{ }
	}
}
