﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.CodeDom;

namespace MetaSharp.Transformation.Lang.Ast
{
	public class CastExpression : CodeCastExpression, INode
	{
		public CastExpression()
			: base()
		{ }

		public CastExpression(CodeTypeReference targetType, CodeExpression expression)
			: base(targetType, expression)
		{ }

		public CastExpression(string targetType, CodeExpression expression)
			: base(targetType, expression)
		{ }

		public CastExpression(Type targetType, CodeExpression expression)
			: base(targetType, expression)
		{ }
	}
}
