﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.CodeDom;

namespace MetaSharp.Transformation.Lang.Ast
{
	public class ConditionStatement : CodeConditionStatement, INode
	{
		public ConditionStatement()
			: base()
		{ }

		public ConditionStatement(CodeExpression condition, params CodeStatement[] trueStatements)
			: base(condition, trueStatements)
		{ }

		public ConditionStatement(
			CodeExpression condition,
			CodeStatement[] trueStatements,
			CodeStatement[] falseStatements)
			: base(condition, trueStatements, falseStatements)
		{ }
	}
}
