﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.CodeDom;

namespace MetaSharp.Transformation.Lang.Ast
{
	public class TryCatchFinallyStatement : CodeTryCatchFinallyStatement, INode
	{
		public TryCatchFinallyStatement()
			: base()
		{ }

		public TryCatchFinallyStatement(CodeStatement[] tryStatements, CodeCatchClause[] catchClauses)
			: base(tryStatements, catchClauses)
		{ }

		public TryCatchFinallyStatement(
			CodeStatement[] tryStatements,
			CodeCatchClause[] catchClauses,
			CodeStatement[] finallyStatements)
			: base(tryStatements, catchClauses, finallyStatements)
		{ }
	}
}
