﻿namespace MetaSharp.Transformation
{
	using System;
	using System.Globalization;
	using System.Diagnostics;
	using System.Reflection;

	public struct Memo
	{
		public INode Projection;
		public Position Start;
		public Position End;
		public MethodInfo Method;

		public override string ToString()
		{
			return string.Format(
					CultureInfo.CurrentCulture,
					"Memo {{ Method={{{0}}}, Projection={{{1}}}, Start={2}, End={3} }}",
					Method,
					Projection,
					Start == null ? "/??" : Start.ToString(),
					End == null ? "/??" : End.ToString());
		}
	}
}
