﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MetaSharp.Transformation
{
	public class Scope
	{
		public Scope(Position position, Dictionary<string, INode> variables)
		{
			this.Position = position;
			this.Variables = variables;
		}

		public Position Position { get; private set; }
		public Dictionary<string, INode> Variables { get; private set; }

		public INode Match { get; set; }
		public PatternContext Context { get; set; }
	}
}
