﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MetaSharp.Transformation
{
	public class SourceSpan
	{
		public Position Start { get; set; }
		public Position End { get; set; }

		public static SourceSpan operator +(SourceSpan left, SourceSpan right)
		{
			if (right == null)
				return left;
			if (left == null)
				return right;

			return new SourceSpan
			{
				Start = left.Start < right.Start ? left.Start : right.Start,
				End = left.End > right.End ? left.End : right.End
			};
		}
	}
}
