﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using StateMachineCompiler;

namespace App
{
	class Program
	{
		static void Main(string[] args)
		{
			CommandChannel channel = new CommandChannel(a => Console.WriteLine("Action: " + a));
			var builder = new MissGrants(channel);

			bool done = false;
			while (!done)
			{
				Console.WriteLine("State: " + builder.CurrentState);
				Console.Write("> ");
				var cmd = Console.ReadLine();
				builder.Handle(cmd);
			}
		}
	}
}
