﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace StateMachineCompiler.Ast
{
	public class StateDeclaration : StateMachineMember
	{
		public StateDeclaration()
		{
			this.Actions = Enumerable.Empty<string>();
			this.Transitions = Enumerable.Empty<TransitionDeclaration>();
		}

		public string Name { get; set; }
		public IEnumerable<string> Actions { get; set; }
		public IEnumerable<TransitionDeclaration> Transitions { get; set; }
	}
}
