﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MetaSharp.Build;

namespace MetaSharp.Build.Grammar
{
	public interface IErrorProvider
	{
		void Clear(string documentPath);
		void Add(string documentPath, SourceError error);
		bool Any();
		void ShowErrors();
		event Action Changed;
	}
}
