﻿using System;
using System.IO;
using System.Text;

namespace MetaSharp.Build
{
	public interface IFileService
	{
		string ReadAllText(string path);
		DateTime GetLastWriteTimeUtc(string path);
		void WriteAllText(string path, string contents, Encoding encoding);
		void CreateDirectory(string path);
		bool Exists(string path);
		Stream Open(string path, FileMode mode, FileAccess access, FileShare share);
		void Delete(string path);
		void WriteAllBytes(string path, byte[] bytes);
		void Move(string sourceFileName, string destFileName);
	}
}
