﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MetaSharp.Transformation;

namespace MetaSharp.Build
{
	internal class MSBuildContext : IBuildContext
	{
		private string defaultNamespace, configuration, language, assemblyName, parsePath;
		public MSBuildContext(string defaultNamespace, string configuration, string language, string assemblyName, string parsePath)
		{
			this.defaultNamespace = defaultNamespace;
			this.configuration = configuration;
			this.language = language;
			this.assemblyName = assemblyName;
			this.parsePath = parsePath;
		}

		public string DefaultNamespace
		{
			get { return this.defaultNamespace; }
		}

		public string Language
		{
			get { return this.language; }
		}

		public string Configuration
		{
			get { return this.configuration; }
		}

		public string AssemblyName
		{
			get { return this.assemblyName; }
		}

		public string ParsePath
		{
			get { return this.parsePath; }
		}
	}
}
