﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.CodeDom;
using MetaSharp.Transformation.Lang.Ast;

namespace MetaSharp.Transformation.Grammar.Ast
{
	public class RuleDeclaration : INode
	{
		public RuleDeclaration()
		{
			this.Parameters = Enumerable.Empty<string>();
			this.Attributes = Enumerable.Empty<AttributeDeclaration>();
		}

		public IEnumerable<AttributeDeclaration> Attributes { get; set; }
		public string Name { get; set; }
		public PatternDeclaration Pattern { get; set; }
		public IEnumerable<string> Parameters { get; set; }
		public bool Override { get; set; }
	}
}
