﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.CodeDom;

namespace MetaSharp.Transformation.Lang.Ast
{
	public class CatchClause : CodeCatchClause, INode
	{
		public CatchClause()
			: base()
		{ }

		public CatchClause(string localName)
			: base(localName)
		{ }

		public CatchClause(string localName, CodeTypeReference catchExceptionType)
			: base(localName, catchExceptionType)
		{ }

		public CatchClause(string localName, CodeTypeReference catchExceptionType, params CodeStatement[] statements)
			: base(localName, catchExceptionType, statements)
		{ }
	}
}
