﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.CodeDom;

namespace MetaSharp.Transformation.Lang.Ast
{
	public class VariableDeclarationStatement : CodeVariableDeclarationStatement, INode
	{
		public VariableDeclarationStatement()
			: base()
		{ }

		public VariableDeclarationStatement(CodeTypeReference type, string name)
			: base(type, name)
		{ }

		public VariableDeclarationStatement(string type, string name)
			: base(type, name)
		{ }

		public VariableDeclarationStatement(Type type, string name)
			: base(type, name)
		{ }

		public VariableDeclarationStatement(CodeTypeReference type, string name, CodeExpression initExpression)
			: base(type, name, initExpression)
		{ }

		public VariableDeclarationStatement(string type, string name, CodeExpression initExpression)
			: base(type, name, initExpression)
		{ }

		public VariableDeclarationStatement(Type type, string name, CodeExpression initExpression)
			: base(type, name, initExpression)
		{ }
	}
}
