﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MetaSharp.Transformation
{
	public class SwitchPosition : Position
	{
		private object value;
		private string name;
		private ValuePosition next;

		public SwitchPosition(Position parent, string name, object value)
			: base(parent)
		{
			this.value = value;
			this.name = name;
		}

		public override INode Current
		{
			get { throw new NotSupportedException(); }
		}

		public override Position Next()
		{
			return this.next ?? (this.next = new ValuePosition(this, value));
		}

		protected override void BuildString(StringBuilder builder)
		{
			builder.Append("/Switch(");
			builder.Append(this.name);
			builder.Append(")");
		}
	}
}
