﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;

namespace MetaSharp.Transformation
{
	public class TransformationException : Exception
	{
		public TransformationException()
			: base()
		{
		}

		public TransformationException(string message)
			: base(message)
		{
		}

		public TransformationException(Exception innerException)
			: base("", innerException)
		{
		}

		public TransformationException(string message, Exception innerException)
			: base(message, innerException)
		{
		}
	}
}
