﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MetaSharp.Transformation
{
	public abstract class Transformer
	{
		private List<PatternMatch> mainRules = new List<PatternMatch>();

		protected void Add(PatternMatch mainRule)
		{
			this.mainRules.Add(mainRule);
		}

		public virtual INode Transform(PatternContext context, IStream stream)
		{
			return Pattern.Transform(context, stream, this.mainRules.ToArray());
		}
	}
}
